summaryrefslogtreecommitdiffstats
path: root/debian/systemd-coredump.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/systemd-coredump.postinst')
-rw-r--r--debian/systemd-coredump.postinst13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/systemd-coredump.postinst b/debian/systemd-coredump.postinst
new file mode 100644
index 0000000..259c2b3
--- /dev/null
+++ b/debian/systemd-coredump.postinst
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = configure ]; then
+ # enable systemd-coredump right after package installation
+ if [ -d /run/systemd/system ]; then
+ systemctl daemon-reload && systemctl start systemd-coredump.socket || true
+ fi
+ /lib/systemd/systemd-sysctl /usr/lib/sysctl.d/50-coredump.conf || true
+fi
+
+#DEBHELPER#